#include <iostream>
#include <string>
#include <functional>

void print(const std::string& s, int num)
{
    std::cout << s << " " << num << std::endl;
}

int main()
{
    print("nihao", 10);
    auto func = std::bind(print, "nihao", std::placeholders::_1);
    func(20);

    return 0;
}